/*********************/
/* datamodel package */
/*********************/
module DataModel {
	class ubc.midp.mobilephoto.core.ui.datamodel.*;


	/* ImageAccessor */
	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.addImageData();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.loadImageDataFromRMS();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.updateImageInfoExec();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.loadImageBytesFromRMS();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.deleteSingleImageFromRMS();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.deletePhotoAlbum();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.getAlbumNames();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.getImageFromRecordStore(String, ubc.midp.mobilephoto.core.ui.datamodel.AlbumData);


	/* AlbumData */
	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.getImageNames();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.getImageFromRecordStoreEx();

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.deleteImage(String, String, ubc.midp.mobilephoto.core.ui.datamodel.AlbumData);

	expose
		: lancs.midp.aspects.exceptionblocks.DataModelAspectEH.resetImageData();

	expose
		: lancs.midp.aspects.exceptionblocks.ControllerAspectEH.handleCommand1(String, ubc.midp.mobilephoto.core.ui.controller.BaseController);
}


/**********************/
/* controller package */
/**********************/
module Controller {
	class ubc.midp.mobilephoto.core.ui.controller.*;


	/* BaseController */
	expose
		: lancs.midp.aspects.exceptionblocks.ControllerAspectEH.resetImageData(ubc.midp.mobilephoto.core.ui.controller.BaseController);

	expose
		: lancs.midp.aspects.exceptionblocks.ControllerAspectEH.showImageList(String, ubc.midp.mobilephoto.core.ui.controller.BaseController);

	expose
		: lancs.midp.aspects.exceptionblocks.ControllerAspectEH.showImage(ubc.midp.mobilephoto.core.ui.controller.BaseController);
}


/****************/
/* util package */
/****************/
module Util {
	class ubc.midp.mobilephoto.core.util.*;


	/* ImageUtil */
	expose
		: lancs.midp.aspects.exceptionblocks.UtilAspectEH.readInternalImageAsByteArrayEx();

	expose
		: lancs.midp.aspects.exceptionblocks.UtilAspectEH.getImageInfoFromBytes();

	expose
		: lancs.midp.aspects.exceptionblocks.UtilAspectEH.getBytesFromImageInfo();
}


/*******************/
/* screens package */
/*******************/
module Screens {
	class ubc.midp.mobilephoto.core.ui.screens.*;


	/* PhotoViewScreen */
	expose
		: lancs.midp.aspects.exceptionblocks.SCreensAspectEH.PhotoViewScreenConstructor(ubc.midp.mobilephoto.core.ui.datamodel.AlbumData, String);
}
